<?php  if (!defined('__SITE_PATH')) exit('No direct script access allowed');

date_default_timezone_set('Europe/Moscow');
mb_internal_encoding("UTF-8");

define ('__CLASS_PATH', __SITE_PATH . '/class/');

define ('__MODEL_PATH', __SITE_PATH . '/mvc/m/');
define ('__CONTROLLER_PATH', __SITE_PATH . '/mvc/c/');
define ('__VIEWS_PATH', __SITE_PATH . '/mvc/v/');

/*** define the views blocks path ***/
define ('__VIEWS_BLOCKS_PATH', __VIEWS_PATH . 'blocks/');

/*** define the error_log path ***/
define ('__ERROR_LOG_PATH', __SITE_PATH . "/logs/");
define ('__ERROR_LOG', __ERROR_LOG_PATH.'PHP_errors'.date('ymd').'.txt');
if(!file_exists(__ERROR_LOG)) fclose(fopen(__ERROR_LOG,"w"));

/*** define the cache path ***/
define ('__CACHE_PATH', __SITE_PATH . "/cache/");

/*** define the sitemaps path ***/
define ('__SITEMAPS_PATH', __SITE_PATH . "/sitemaps/");

define ('__UPLOAD_PATH', __SITE_PATH . "/storage/");

define ('__SALT', 'AQAD0PEh0hdjk674gytIm4A');
define ('__ON_PAGE', 20); //количество товаров на странице
define ('__SITE', 's1'); 

define ('__DEBUG', true);
define ('__CACHER_ON', false);
define ('__PIC_LOCAL', false);

/*
настройки соединения с базой # 1	
*/
define ('__DB_HOST', 'localhost');
define ('__DB_NAME', 'test3');
define ('__DB_USER', 'test3');
define ('__DB_PASSWORD', 'test3');
define ('__DB_CHARSET', 'UTF8'); //'cp1251'

/*
display_startup_errors boolean 

Директива display_startup_errors отвечает за вывод на экран не фатальных ошибок, возникающих из-за неправильной конфигурации модуля PHP. Для примера приведем невозможность загрузить указанные в php.ini расширения.
Даже если директива display_errors включена, ошибки, возникающие при запуске PHP, не будут показаны. Настоятельно рекомендуется включать директиву display_startup_errors только для отладки.
Также следует заметить, что при отключите опции данной директивы, соответствующие ошибки пишутся в лог PHP.
*/
ini_set('display_startup_errors','1');

/*
display_errors string

Директива display_errors в конфигурационном файле php.ini настраивает вывод ошибки на экран вместе со всем выводом, или скрывает их от пользователя.
Данная директива может иметь следующие значения:

Off - на экран не выводятся ошибки
stderr - посылает ошибки в поток stderr вместо stdout
On или stdout - посылает ошибки в поток stdout

По умолчанию имеет значение: On. Значение доступны в версии PHP 5.2.4. В ранних версиях эта директива имела тип boolean.
Функционал данной директивы предназначен только для разработки и не должен использоваться в готовых системах.
Также следует заметить, что несмотря на то, что display_errors может быть установлена ​​во время выполнения (функция ini_set( )), это ни на что не повлияет, если в скрипте есть фатальные ошибки. Это обусловлено тем, что ожидаемые действия программы при выполнении не получат управления (не будут выполняться).
*/
ini_set('display_errors','1');

/*
html_errors boolean

Отключает HTML тэги в сообщениях об ошибках. Новый формат HTML сообщений об ошибках предоставляет возможность вставлять ссылки в сообщения и перенаправлять пользователя на страницы с описаниями ошибок. За такие ссылки ответственны docref_root и docref_ext. 
*/
ini_set('html_errors','1');

/*
log_errors boolean

Отвечает за выбор журнала, в котором будут сохраняться сообщения об ошибках. Это может быть журнал сервера или error_log. Применимость этой настройки зависит от конкретного сервера.
Замечание:
Настоятельно рекомендуем при работе на готовых работающих web сайтах протоколировать ошибки там, где они отображаются. 
*/
ini_set('log_errors','1');

/*
ignore_repeated_errors boolean

Не заносить в журнал повторяющиеся ошибки. Ошибка признается повторяющейся, если происходит в том же файле и в той же строке, и если настройка ignore_repeated_source выключена.
*/
ini_set('ignore_repeated_errors','0');

/*
ignore_repeated_source boolean

Игнорировать источник ошибок при пропуске повторяющихся сообщений. Когда эта настройка включена, повторяющиеся сообщения об ошибках не будут заноситься в журнал вне зависимости от того, в каких файлах и строках они происходят.
*/
ini_set('ignore_repeated_source','0');

/*
report_memleaks boolean

Если настройка включена (по умолчанию), будет формироваться отчет об утечках памяти, зафиксированных менеджером памяти Zend. На POSIX платформах этот отчет будет направляться в поток stderr. На Windows платформах он будет посылаться в отладчик функцией OutputDebugString(), просмотреть отчет в этом случае можно с помощью утилит, вроде » DbgView. Эта настройка имеет смысл в сборках, предназначенных для отладки. При этом E_WARNING должна быть включена в список error_reporting.
*/
ini_set('report_memleaks','1');

/*
track_errors boolean

Если включена, последняя произошедшая ошибка будет первой в переменной $php_errormsg.
*/
ini_set('track_errors','1');

/*
docref_root string

Новый формат ошибок содержит ссылку на страницу с описанием ошибки или функции, вызвавшей эту ошибку. Можно разместить копию описаний ошибок и функций локально и задать ini директиве значение URL этой копии. Если, например, локальная копия описаний доступна по адресу "/manual/", достаточно прописать docref_root=/manual/. Дополнительно, необходимо задать значение директиве docref_ext, отвечающей за соответствие расширений файлов файлам описаний вашей локальной копии, docref_ext=.html. Также возможно использование внешних ссылок. Например, docref_root=http://manual/en/ или docref_root="http://landonize.it/?how=url&theme=classic&filter=Landon &url=http%3A%2F%2Fwww.php.net%2F"

В большинстве случаев вам потребуется, чтобы значение docref_root оканчивалось слешем "/". Тем не менее, бывают случаи, когда это не требуется (см. выше, второй пример).

Замечание:
Этот функционал предназначен только для разработки, так как он облегчает поиск описаний функций и ошибок. Не используйте его в готовых производственных системах (например, имеющих доступ в интернет). 
*/
ini_set('docref_root','0');

/*
docref_ext string

См. docref_root.

Замечание:
Значение docref_ext должно начинаться с точки ".". 
*/
ini_set('docref_ext','0');

/*
error_log string

Имя файла, в который будут добавляться сообщения об ошибках. Файл должен быть открыт для записи пользователем web сервера. Если используется специальное значение syslog, то сообщения будут посылаться в системный журнал. На Unix системах это syslog(3), на Windows NT - журнал событий. Системный журнал не поддерживается в Windows 95. См. также: syslog(). Если директива не задана, ошибки будут направляться в SAPI журналы. Например, это могут быть журналы ошибок Apache или поток stderr командной строки CLI. Смотрите также функцию error_log().
*/

ini_set('error_log',__ERROR_LOG);

/*
error_reporting integer

Задает уровень протоколирования ошибки. Параметр может быть либо числом, представляющим битовое поле, либо именованной константой. Соответствующие уровни и константы приведены в разделе Предопределенные константы, а также в php.ini. Для установки настройки во время выполнения используйте функцию error_reporting(). См. также описание директивы display_errors.

В PHP 4 и PHP 5 значение по умолчанию E_ALL & ~E_NOTICE. В этом режиме ошибки уровня E_NOTICE не показываются. Однако, они могут потребоваться во время разработки скрипта.

Замечание:

Включение E_NOTICE во время разработки имеет ряд преимуществ. Для отладки: NOTICE сообщения могут предупреждать о возможных ошибках в коде. Например, использование непроинициализированных переменных вызовет подобное сообщение. Это очень полезно при поиске опечаток и экономит время при отладке. NOTICE сообщения также предупреждают о плохом стиле. Например, $arr[item] лучше писать так: $arr['item'] с тех пор, как PHP начал интерпретировать "item" как константу. Если это не константа, PHP принимает это выражение за строковый индекс элемента массива.

Замечание:

В PHP 5 доступен новый уровень ошибок E_STRICT. Так как E_STRICT не входит в состав E_ALL, необходимо явно включать этот уровень ошибок. Включение E_STRICT во время разработки также имеет свои преимущества. STRICT сообщения предлагают подсказки, которые могут помочь обеспечить лучшую функциональную и обратную совместимость вашего кода. Эти сообщения могут включать в себя такие вещи, как вызов нестатических методов статически, определение свойств в совместимого класса, в то время как они уже определены в используемом трейте, и до PHP 5.3 некоторые устаревшие возможности также будут выдавать ошибки уровня E_STRICT, такие как присвоение объектов по ссылке при создании экземпляра.

Замечание: PHP константы за пределами PHP

Использование PHP констант за пределами PHP, например в файле httpd.conf, не имеет смысла, так как в таких случаях требуются целочисленные значения (integer). Более того, с течением времени будут добавляться новые уровни ошибок, а максимальное значение константы E_ALL соответственно будет расти. Поэтому в месте, где предполагается указать E_ALL, лучше задать большое целое число, чтобы перекрыть все возможные битовые поля. Таким числом может быть, например, 2147483647 (оно включит все возможные ошибки, не только E_ALL). 
*/
ini_set('error_reporting','-1');

/*
log_errors_max_len integer

Задание максимальной длины log_errors в байтах. В error_log добавляется информация об источнике. Значение по умолчанию 1024. Установка значения в 0 позволяет снять ограничение на длину log_errors. Это ограничение распространяется на записываемые в журнал ошибки, на отображаемые ошибки, а также на $php_errormsg. 	*/
ini_set('log_errors_max_len','0');


?>